<?php
session_start();
define('MTOP', 1);
require_once('system/connect.php');
require_once('system/core.php');
require_once('system/function.php');
$isset = mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."'");
if(mysql_num_rows($isset) == 0){
$title = 'Ошибка';
require_once('head.php');
echo '<div main="main"><center>Сайта нет в базе</center></div>';
require_once('foot.php');
exit;
}

$online_sait = mysql_num_rows(mysql_query("SELECT * FROM `sait_online` WHERE `id_sait` = '".$id."'"));
$user = mysql_fetch_array($isset);
if($user['ban'] == 1 AND $user_data['level'] <= 1){
$title = 'Бан';
require_once('head.php');
echo '
<div class="main"><center>Сайт заблокирован</center></div>';
require_once('foot.php');
exit;
}

if($user['status'] == 0 AND $user_data['level'] <= 1){
$title = 'Модерация';
require_once('head.php');
echo '
<div class="main"><center>Вы не можете смотреть статистику данного сайта, так как он проходит модерацию</center></div>';
require_once('foot.php');
exit;
}

switch($act){
default:
$day = mysql_fetch_array(mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."'"));
$keywords = $day['about'];
$description = $day['about'];
$title = 'Информация о сайте '.$user['url'].'';
require_once('head.php');
$category = mysql_fetch_array(mysql_query("SELECT * FROM `cat` WHERE `id` = '".$user['category']."'"));

if(isset($user_data) AND $user_data['level'] >= 3 AND $user['status'] == 0)
echo '<div class="main"><center><b><font color="red">Сайт на модерации</font></b></center></div>';
else if($user['hosts'] <= 0 AND $user['ban'] == 0) echo '<div class="main"><center>Сайт не участвует в TOP-100</center></div>';



$day = mysql_fetch_array(mysql_query("SELECT * FROM `sait` WHERE `id` = '".$id."'"));
$online = mysql_num_rows(mysql_query("SELECT * FROM `sait_online` WHERE `id_sait` = '".$id."'"));
$polzovatel = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$user['id_user']."'"));
echo '<div class="title2"><strong>'.$user['url'].'</strong></div>';

if($day['vip'] > time()) {
    echo '<table width="100%" cellpadding="5" cellspacing="0" class="vips"><tbody><tr>
                <td width="1%" style="padding: 9px;"><img src="https://ioav.ru/images/crown.png" alt="VIP" title="VIP сайт"></td>
                <td width="99%" style="padding: 9px;"><b style="color: #9038c8;"> VIP сайт <br />
                <b></td>

            </tr>
        </tbody></table>';
}





$top = mysql_query("SELECT * FROM `sait` WHERE `status` = '1' AND `ban` = '0' AND `hosts` > '0' ORDER BY `hosts` DESC");
while($row = mysql_fetch_array($top)){ $start++; if($day['id'] == $row['id']) $mesto = $start++; }


if($mesto == 1)  $mestoImg = '<img src="'.$HOME.'/images/1_place.png" alt="*">';
if($mesto == 2)  $mestoImg = '<img src="'.$HOME.'/images/2_place.png" alt="*">';
if($mesto == 3)  $mestoImg = '<img src="'.$HOME.'/images/3_place.png" alt="*">';




echo '<div class="main"><img src="http://mini.s-shot.ru/500x901/JPG/180/Z100/?'.$user['url'].'" align="top" alt="'.$user['url'].'" align="top" alt="Скриншот by yamus"/></div>';
echo '<div class="main">'.$user['about'].'</div>';
echo '<div class="title">
<strong>Общие</strong>
</div>
<div class="main">
<b>Номер ID сайта:</b> '.$user['id'].' <br/>
<b>Адрес:</b> <a href="/out.php?id='.$user['id'].'" rel="nofollow"><strong>'.$user['url'].'</strong></a><br/>
<b>Favicon:</b> <img src="//www.google.com/s2/favicons?domain='.$user['url'].'" alt="favicon"><br/>
<b>Категория:</b> <a href="/m/category/view/'.$user['category'].'"><strong>'.$category['name'].'</strong></a><br/>

<b>Дата регистрации:</b> '.data($user['time_reg']).'<br/>
<b>Место в рейтинге:</b> '.$mestoImg.' <a href="'.$HOME.'/go/'.$user['id'].'">'.$mesto.'</a>

</div><div class="title">Статистика сайта</div>';
if($user['id_user'] == $user_data['id'] AND $user['skrit'] == 1) {
echo '<div class="main">Ваша статистика скрыта и видна только вам!</div>';
echo '<div class="main"><a href="/m/online/'.$user['id'].'">Онлайн</a> на сайте: <font color="#00cc00">'.$online_sait.'</font></div>';
$cc = $user['mob'] + $user['pk'];
echo '<div class="main">
<table border="1" width="100%" style="text-align:center;">
<tr>
<td><b>сегодня</b></td><td>хостов</td><td>хитов</td><td>в топ/из топа</td>
</tr>
<tr>
<td><a href="/m/hours/'.$user['id'].'">По часам</a></td>
<td><font color="green">'.$day['hosts'].'</font></td>
<td><font color="red">'.$day['hits'].'</font></td>
<td>'.$day['in'].'/'.$day['out'].'</td>
</tr>
</table>
<div style="padding: 4px;">
<img src="/style/img/mob.png" title="Мобильные и планшеты" /> '.$user['mob'].'</b> <b><font color="red">+</font></b>
<img src="/style/img/pc.png" title="ПК" /> '.$user['pk'].'</b> <b><font color="red">=</font></b> <u>'.$cc.'</u> хостов.
</div>
</div>';
$cc2 = $user['mob2'] + $user['pk2'];
echo '<div class="main">
<table border="1" width="100%" style="text-align:center;">
<tr>
<td><b>период</b></td><td>хостов</td><td>хитов</td><td>в топ/из топа</td>
</tr>
<tr>
<td><b>За вчера</b></td>
<td><font color="green">'.$day['hosts2'].'</font></td>
<td><font color="red">'.$day['hits2'].'</font></td>
<td>'.$day['in2'].'/'.$day['out2'].'</td>
</tr>
</table>
<div style="padding: 4px;">
<img src="/style/img/mob.png" title="Мобильные и планшеты" /> '.$user['mob2'].'</b> <b><font color="red">+</font></b>
<img src="/style/img/pc.png" title="ПК" /> '.$user['pk2'].'</b> <b><font color="red">=</font></b> <u>'.$cc2.'</u> хостов.
</div>
</div>';
$cc30 = $user['mob30'] + $user['pk30'];
echo '<div class="main">
<table border="1" width="100%" style="text-align:center;">
<tr>
<td><b>период</b></td><td>хостов</td><td>хитов</td><td>в топ/из топа</td>
</tr>
<tr>
<td><b>За месяц</b></td>
<td><font color="green">'.$day['hits30'].'</font></td>
<td><font color="red">'.$day['hosts30'].'</font></td>
<td>'.$day['in30'].'/'.$day['out30'].'</td>
</tr>
</table>
<div style="padding: 4px;">
<img src="/style/img/mob.png" title="Мобильные и планшеты" /> '.$user['mob30'].'</b> <b><font color="red">+</font></b>
<img src="/style/img/pc.png" title="ПК" /> '.$user['pk30'].'</b> <b><font color="red">=</font></b> <u>'.$cc30.'</u> хостов.
</div>
</div>';
} 
if($user['id_user'] != $user_data['id'] AND $user['skrit'] == 1) {
echo '<div class="main">
Владелец сайта предпочёл скрыть статистику.</div>';
} 
if($user['skrit'] == 0) {

	
echo '<div class="main"><a href="/m/online/'.$user['id'].'">Онлайн</a> на сайте: <font color="#00cc00">'.$online_sait.'</font></div>';
$cc = $user['mob'] + $user['pk'];
echo '<div class="main">
<table border="1" width="100%" style="text-align:center;">
<tr>
<td><b>сегодня</b></td><td>хостов</td><td>хитов</td><td>в топ/из топа</td>
</tr>
<tr>
<td><a href="/m/hours/'.$user['id'].'">По часам</a></td>
<td><font color="green">'.$day['hosts'].'</font></td>
<td><font color="red">'.$day['hits'].'</font></td>
<td>'.$day['in'].'/'.$day['out'].'</td>
</tr>
</table>
<div style="padding: 4px;">
<img src="/style/img/mob.png" title="Мобильные и планшеты" /> '.$user['mob'].'</b> <b><font color="red">+</font></b>
<img src="/style/img/pc.png" title="ПК" /> '.$user['pk'].'</b> <b><font color="red">=</font></b> <u>'.$cc.'</u> хостов.
</div>
</div>';
$cc2 = $user['mob2'] + $user['pk2'];
echo '<div class="main">
<table border="1" width="100%" style="text-align:center;">
<tr>
<td><b>период</b></td><td>хостов</td><td>хитов</td><td>в топ/из топа</td>
</tr>
<tr>
<td><b>За вчера</b></td>
<td><font color="green">'.$day['hosts2'].'</font></td>
<td><font color="red">'.$day['hits2'].'</font></td>
<td>'.$day['in2'].'/'.$day['out2'].'</td>
</tr>
</table>
<div style="padding: 4px;">
<img src="/style/img/mob.png" title="Мобильные и планшеты" /> '.$user['mob2'].'</b> <b><font color="red">+</font></b>
<img src="/style/img/pc.png" title="ПК" /> '.$user['pk2'].'</b> <b><font color="red">=</font></b> <u>'.$cc2.'</u> хостов.
</div>
</div>';
$cc30 = $user['mob30'] + $user['pk30'];
echo '<div class="main">
<table border="1" width="100%" style="text-align:center;">
<tr>
<td><b>период</b></td><td>хостов</td><td>хитов</td><td>в топ/из топа</td>
</tr>
<tr>
<td><b>За месяц</b></td>
<td><font color="green">'.$day['hosts30'].'</font></td>
<td><font color="red">'.$day['hits30'].'</font></td>
<td>'.$day['in30'].'/'.$day['out30'].'</td>
</tr>
</table>
<div style="padding: 4px;">
<img src="/style/img/mob.png" title="Мобильные и планшеты" /> '.$user['mob30'].'</b> <b><font color="red">+</font></b>
<img src="/style/img/pc.png" title="ПК" /> '.$user['pk30'].'</b> <b><font color="red">=</font></b> <u>'.$cc30.'</u> хостов.
</div>
</div>';


echo '<div class="main">По желанию владелец сайта может закрыть всю статистику от публичного просмотра. <br />Это делается через <a href="/m/office">личный кабинет.</a></div>';
}





echo '<div class="title">SEO информация</div>
<div class="main"><b>Яндекс ИКС</b><br>
            <img width="88" height="31" alt="" border="0" src="https://yandex.ru/cycounter?'.$user['url'].'&amp;theme=light&amp;lang=ru">
            </div>';
break;
case 'hours': 
$title = 'Статистика по часам '.$user['url'].''; 
require_once('head.php'); 
echo '<div class="title2"><b>'.$user['url'].'</b> <small>('.$online_sait.' чел. онлайн)</small></div>'; 
echo '<div class="main"><b><a href="/stats/'.$user['id'].'">Перейти к общей статистике</a></b></div>'; 
for($hour = 0; $hour< 24; $hour++){ 
$start_time = mktime($hour, 0, 0, date("m"), date("d"), date("Y")); 
$finish_time = mktime($hour+1, 0, 0, date("m"), date("d"), date("Y")); 
$hosts = mysql_num_rows(mysql_query("SELECT * FROM `hosts` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'")); 
$hits = mysql_num_rows(mysql_query("SELECT * FROM `hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'")); 
if(strlen($hour) == 1) $hour = '0'.$hour; 
if(strlen($hour + 1) == 1) $f = '0'.($hour + 1); 
else $f = $f + 1; 
echo '<div class="main">'.$hour.':00 - '.($f).':00 ['.$hosts.' Хосты]</div>';
} 
break; 
case 'online':
$title = 'Статистика по онлайн '.$user['url'].'';
require_once('head.php');
echo '<div class="title2"><b>'.$user['url'].'</b> <small>('.$online_sait.' чел. онлайн)</small></div>';
$all = mysql_num_rows(mysql_query("SELECT * FROM `sait_online` WHERE `id_sait` = '".$id."'"));
if($all != 0){
echo '<table width="100%" border="0" cellspacing="1" cellpadding="2">
<tr class="main"><td>IP</td><td>Браузер</td><td>Время</td></tr>';
$total=intval(($all-1)/$pages)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0) $page = 1;
if($page > $total) $page = $total;
$past=intval($all/$pages);
$start=$page*$pages-$pages;
$onl = mysql_query("SELECT * FROM `sait_online` WHERE `id_sait` = '".$id."' LIMIT ".$start.",".$pages."");
while($row = mysql_fetch_array($onl)) echo '<tr class="main"><td>'.$row['ip'].'</td> <td>'.$row['ua'].'</td> <td>'.data($row['time']).'</td></tr>';
echo '</table>';
navigation($all,$pages,$page,'infos.php?act=online&id='.$id.'&',$total);
}
else {
echo '<div class="main"><center>Сейчас на сайте никого нет</center></div>';
}
break;

}

require_once('foot.php');
?>